import request from '@/utils/request'

/**
 * @description 绘画广场列表
 * @return { Promise }
 * @param params
 */
export function getDrawSquareLists(data?: any) {
    return request.get({ url: '/draw/square/list', data })
}

/**
 * @description 绘画广场列表
 * @return { Promise }
 */
export function getDrawSquareCateLists() {
    return request.get({ url: '/draw/square/category/list' })
}

/**
 * @description 分享至绘画广场
 * @return { Promise }
 */
export function shareDrawSquare(data: any) {
    return request.post({ url: '/draw/square/add', data })
}

/**
 * @description 喜欢绘画
 * @return { Promise }
 */
export function collectDraw(data: any) {
    return request.post({ url: '/draw/square/collect', data })
}

/**
 * @description 取消喜欢绘画
 * @return { Promise }
 */
export function cancelCollectDraw(data: any) {
    return request.post({ url: '/draw/square/cancelCollect', data })
}